
<%@page import="org.apache.commons.fileupload.FileUploadException"%>
<%@page import="org.apache.commons.fileupload.FileItem"%>
<%@page import="java.util.List"%>
<%@page import="org.apache.commons.fileupload.servlet.ServletFileUpload"%>
<%@page import="java.io.File"%>
<%@page import="org.apache.commons.fileupload.disk.DiskFileItemFactory"%>
<%
String ubicacionArchivo = "C:/subir/";

String nombre = "ssss";

DiskFileItemFactory factory = new DiskFileItemFactory();
factory.setSizeThreshold(1024); 
factory.setRepository(new File(ubicacionArchivo));

ServletFileUpload upload = new ServletFileUpload(factory);
try
    {
        List<FileItem> partes = upload.parseRequest(request);

    for(FileItem item : partes)
    {
        nombre = item.getName();
        //String[] aaa = nombre.split(".");
        
        File file = new File( ubicacionArchivo, nombre );
        item.write(file);
    }
    out.write("El archivo se a subido correctamente") ;
    }
catch(FileUploadException ex)
{
    out.write("Error al subir archivo "+ex.getMessage());
}
%>